Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 546554 (CVE-2015-3310) - <net-dialup/ppp-2.4.7-r3: buffer overflow in radius plug-in's rc_mksid() (CVE-2015-3310)
Summary: <net-dialup/ppp-2.4.7-r3: buffer overflow in radius plug-in's rc_mksid() (CVE...
Status: RESOLVED FIXED
Alias: CVE-2015-3310
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B2 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-14 11:00 UTC by Agostino Sarubbo
Modified: 2017-01-23 03:16 UTC (History)
2 users (show)

See Also:
Package list:
=net-dialup/ppp-2.4.7-r3
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2015-04-14 11:00:01 UTC
From ${URL} :

A buffer overflow flaw was found in the way PPP's RADIUS plug-in processed a "start" accounting 
message if the PID of the pppd process is greater than 65535. A remote attacker could use this flaw 
to crash pppd.

CVE request with additional impact details:

http://seclists.org/oss-sec/2015/q2/119

Original report (including a proposed patch):

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=782450


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 GLSAMaker/CVETool Bot gentoo-dev 2015-06-14 20:33:06 UTC
CVE-2015-3310 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2015-3310):
  Buffer overflow in the rc_mksid function in plugins/radius/util.c in Paul's
  PPP Package (ppp) 2.4.6 and earlier, when the PID for pppd is greater than
  65535, allows remote attackers to cause a denial of service (crash) via a
  start accounting message to the RADIUS server.
Comment 2 Thomas Deutschmann gentoo-dev Security 2016-11-22 12:47:44 UTC
@ Maintainer(s): We are already carrying a bunch of patches. Can't we also include https://bugs.debian.org/cgi-bin/bugreport.cgi?msg=17;filename=ppp_2.4.6-3.1-nmu.diff;att=1;bug=782450 to patch this vulnerability?
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2016-11-22 13:50:41 UTC
commit e99f5f5cdb87fb864e43b90922cbd2e3a675ae8a
Author: Lars Wendler <polynomial-c@gentoo.org>
Date:   Tue Nov 22 14:47:53 2016

    net-dialup/ppp: Security revbump to fix CVE-2015-3310 (bug #546554).

    Package-Manager: portage-2.3.2

I wanna wait a bit with stabilization as I also added a new eap-tls patch which I first want to have settled a bit.
Comment 4 Thomas Deutschmann gentoo-dev Security 2016-12-04 00:11:01 UTC
@ Arches,

please test and mark stable: =net-dialup/ppp-2.4.7-r3
Comment 5 Tobias Klausmann gentoo-dev 2016-12-05 15:49:08 UTC
Stable on alpha.
Comment 6 Agostino Sarubbo gentoo-dev 2016-12-06 11:50:45 UTC
amd64 stable
Comment 7 Agostino Sarubbo gentoo-dev 2016-12-06 11:53:35 UTC
x86 stable
Comment 8 Markus Meier gentoo-dev 2016-12-17 15:21:24 UTC
arm stable
Comment 9 Agostino Sarubbo gentoo-dev 2017-01-11 10:37:47 UTC
sparc stable
Comment 10 Agostino Sarubbo gentoo-dev 2017-01-15 15:51:33 UTC
ppc stable
Comment 11 Jeroen Roovers gentoo-dev 2017-01-15 19:37:20 UTC
Stable for HPPA.
Comment 12 Agostino Sarubbo gentoo-dev 2017-01-17 14:26:00 UTC
ia64 stable
Comment 13 Agostino Sarubbo gentoo-dev 2017-01-18 10:04:01 UTC
ppc64 stable.

Maintainer(s), please cleanup.
Comment 14 Lars Wendler (Polynomial-C) gentoo-dev 2017-01-18 16:05:39 UTC
commit 03fd847c2c05a0e7eaf361d0061358b0a0ce41bd
Author: Lars Wendler <polynomial-c@gentoo.org>
Date:   Wed Jan 18 16:59:45 2017

    net-dialup/ppp: Security cleanup (bug #546554).

    Package-Manager: Portage-2.3.3, Repoman-2.3.1
Comment 15 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2017-01-18 22:53:25 UTC
GLSA request filed.
Comment 16 GLSAMaker/CVETool Bot gentoo-dev 2017-01-23 03:16:15 UTC
This issue was resolved and addressed in
 GLSA 201701-50 at https://security.gentoo.org/glsa/201701-50
by GLSA coordinator Aaron Bauman (b-man).